Bug 41074 - Threading of queries is strange
Threading of queries is strange
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Generic Infrastructure
4.x
All All
: P2 (vote)
: 4.x
Assigned To: Jesse Glick
issues@projects
TCA
: THREAD
Depends on:
Blocks: 40703
  Show dependency treegraph
 
Reported: 2004-03-17 15:21 UTC by Jaroslav Tulach
Modified: 2004-08-13 12:11 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2004-03-17 15:21:52 UTC
The SharabilityQuery and FileBuiltQuery reside in
the same package, but seem to have completely
different threading policies as the
SharabilityQuery can be called from private locks
in filesystem during for example createFolder
operation. This requre the implementators to be
very careful.

On the other hand the FileBuiltQuery is not going
to be called from such obscure places and that is
why it does not need so much attention from
implementators.

It is not wise to have them both in the same
package even, if correctly documented, it might
not form big problem. Still it might be better to
move the Sharability to org.openide.filesystems as
it seems to share the same threading
characteristics as MimeResolver for example.
Comment 1 Jesse Glick 2004-03-18 10:06:41 UTC
Will definitely consider moving SQ to org.openide.filesystems.
Comment 2 Jesse Glick 2004-06-17 00:23:27 UTC
I have added Javadoc to CQI, SQI, and VQI explaining that implementors
should be written defensively and not acquire locks, referring to the
Filesystems API.
Comment 3 Jesse Glick 2004-06-17 05:11:19 UTC
Committed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo